org.apache.hadoop.yarn.client.api.async.impl

## Class NMClientAsyncImpl.StatefulContainer.UpdateContainerResourceTransition

- java.lang.Object
- - org.apache.hadoop.yarn.client.api.async.impl.NMClientAsyncImpl.StatefulContainer.UpdateContainerResourceTransition

- All Implemented Interfaces:
    org.apache.hadoop.yarn.state.SingleArcTransition<NMClientAsyncImpl.StatefulContainer,NMClientAsyncImpl.ContainerEvent>
  Enclosing class:
    NMClientAsyncImpl.StatefulContainer

      protected static class NMClientAsyncImpl.StatefulContainer.UpdateContainerResourceTransition
      extends Object
      implements org.apache.hadoop.yarn.state.SingleArcTransition<NMClientAsyncImpl.StatefulContainer,NMClientAsyncImpl.ContainerEvent>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `UpdateContainerResourceTransition()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `transition(NMClientAsyncImpl.StatefulContainer container, NMClientAsyncImpl.ContainerEvent event)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UpdateContainerResourceTransition

          protected UpdateContainerResourceTransition()

  - ### Method Detail

    - #### transition

          public void transition(NMClientAsyncImpl.StatefulContainer container,
                                 NMClientAsyncImpl.ContainerEvent event)

      Specified by:
        `transition` in interface `org.apache.hadoop.yarn.state.SingleArcTransition<NMClientAsyncImpl.StatefulContainer,NMClientAsyncImpl.ContainerEvent>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.